linux 3.8.0.10-generic does not boot

Bug #1146988 reported by Susan Cragin on 2013-03-05
48
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Raring
High
Tim Gardner

Bug Description

sorry packages are 9

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-9-generic 3.8.0-9.18
ProcVersionSignature: Ubuntu 3.8.0-9.18-generic 3.8.1
Uname: Linux 3.8.0-9-generic x86_64
ApportVersion: 2.9-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: susan 1849 F.... pulseaudio
Date: Tue Mar 5 09:22:43 2013
HibernationDevice: RESUME=UUID=6f977159-2d20-44fb-84b6-2c4b95e7b4a8
InstallationDate: Installed on 2013-01-04 (59 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130102)
MachineType: LENOVO 3434CTO
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-9-generic root=UUID=95a4680b-da7a-4fce-b22e-ab8fe87eb927 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-9-generic N/A
 linux-backports-modules-3.8.0-9-generic N/A
 linux-firmware 1.103
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/25/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: GCET21WW (1.10 )
dmi.board.asset.tag: Not Available
dmi.board.name: 3434CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGCET21WW(1.10):bd07/25/2012:svnLENOVO:pn3434CTO:pvrThinkPadX230Tablet:rvnLENOVO:rn3434CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3434CTO
dmi.product.version: ThinkPad X230 Tablet
dmi.sys.vendor: LENOVO

Related branches

Susan Cragin (susancragin) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Martin Kucej (mkucej) wrote :

After March 5th morning update, Lenovo T430 2342CTO does not boot - graphic card not recognized.

Kelly Hyde (polarimetric) wrote :

Also facing this bug on my MacBook Pro 8,2 with 3.8.0-10. 3.8.0-9 still boots fine.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc1-raring/

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-key regression-update
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

In addition to the latest mainline kernel, it would be good to know what 3.8 kernel introduced this bug. Can folks affected by this bug test the following two upstream kernels:

v3.8.1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.1-raring/
v3.8.2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.2-raring/

Kelly Hyde (polarimetric) wrote :

I just tested this and the 3.8.2 mainline kernel exhibits the same behavior. Recovery mode boots fine, but graphical boot just hangs with no explanation given (the output just stops at the normal filesystem mount dialog).

I'm confused by "test the latest v3.9 kernel"--there is only a linux-headers package in that folder, no linux-image--but I'm assuming that's just an error. 3.8.2 is the equivalent mainline kernel version to 3.8.0-10.

Kelly Hyde (polarimetric) wrote :

I tested mainline kernels 3.8.1 and 3.8.2. The bug is present in 3.8.2; 3.8.1 boots completely fine.

tags: added: performing-bisect
Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. It appears this regression was introduced in v3.8.2.

I started a kernel bisect between v3.8.1 and v3.8.2. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
fd9471ef7e6ee38a7f29f5556928ddf4824f8bdd

The test kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1146988

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

One thing to note, you will need to install both the linux-image and linux-image-extra .deb packages.

Thanks in advance

Seth Forshee (sforshee) wrote :

I noticed a similar problem on one of my machines, which is introduced by:

commit 47f531e8ba3bc3901a0c493f4252826c41dea1a1
Author: Matt Fleming <email address hidden>
Date: Thu Jan 31 19:02:03 2013 +0000

    efivarfs: Validate filenames much more aggressively

Joe, you might just want to try reverting this commit to see if it fixes the issue. You'll also need to revert the following, which depends on that commit:

commit da27a24383b2b10bf6ebd0db29b325548aafecb4
Author: Matt Fleming <email address hidden>
Date: Fri Feb 1 11:02:28 2013 +0000

    efivarfs: guid part of filenames are case-insensitive

(Note that the SHA-1's here are different than the ones in the raring repository)

Tim Gardner (timg-tpi) on 2013-03-07
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
tags: removed: performing-bisect
Andrew Gunnerson (cxl) wrote :

I'm also doing a git bisect and reverting the two commits that Seth mentioned does seem to solve the problem.

Andrew Gunnerson (cxl) wrote :

I've completed the bisect. The broken commit is da27a24383b2b10bf6ebd0db29b325548aafecb4. The commit 47f531e8ba3bc3901a0c493f4252826c41dea1a1 mentioned before is *not* broken (at least for my system). You can see this in my bisect log linked below.

Broken commit: http://paste.kde.org/690824/raw/
Bisect log (git bisect replay /path/to/log): http://paste.kde.org/690830/raw/

Richard Roberts (prowlcat2000) wrote :

This possibly a dulicate of 1146868.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-12.21

---------------
linux (3.8.0-12.21) raring; urgency=low

  [ Tim Gardner ]

  * [Config] CONFIG_PSTORE=n for x86
  * Release Tracking Bug
    - LP: #1152228

  [ Upstream Kernel Changes ]

  * Revert "efivarfs: guid part of filenames are case-insensitive"
    - LP: #1146988
  * Revert "efivarfs: Validate filenames much more aggressively"
    - LP: #1146988
  * mfd: rtsx: Optimize card detect flow
    - LP: #1148892
  * mfd: rtsx: Fix issue that booting OS with SD card inserted
    - LP: #1148892
 -- Tim Gardner <email address hidden> Wed, 06 Mar 2013 06:40:22 -0700

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released

Can confirm that for me this bug is fixed with 3.8.0-12.21. Good job!

Martin Kucej (mkucej) wrote :

My problem is probably related to 982889. I encountered it in both 12.10 and 13.04. I was able to solve it by delaying lightdm in /etc/init/lightdm.conf.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers